@model FERZid.Models.Osoba

@{
    ViewData["Title"] = "Edit";
}

<h2>Edit</h2>

<hr />

<br>

@if (TempData["Success"] != null)
{
    <div class="green">
        <p><strong>Success:</strong> @TempData["Success"].ToString()</p>
    </div>
}





<br>

<form asp-action="Edit" asp-route-page="@ViewBag.Page" asp-route-sortOrder="@ViewBag.CurrentSort" asp-route-currentIme="@ViewBag.CurrentIme" asp-route-currentPrezime="@ViewBag.CurrentPrezime" asp-route-currentOib="@ViewBag.CurrentOib">
    <div class="form-horizontal">
        <h4>Osoba</h4>
        <hr />
        <div asp-validation-summary="ModelOnly" class="text-danger"></div>
    <input type="hidden" asp-for="Idosobe" />
        <div class="form-group">
            <label asp-for="Ime" class="col-md-2 control-label"></label>
            <div class="col-md-10">
                <input asp-for="Ime" class="form-control" />
                <span asp-validation-for="Ime" class="text-danger"></span>
            </div>
        </div>
        <div class="form-group">
            <label asp-for="Prezime" class="col-md-2 control-label"></label>
            <div class="col-md-10">
                <input asp-for="Prezime" class="form-control" />
                <span asp-validation-for="Prezime" class="text-danger"></span>
            </div>
        </div>
        <div class="form-group">
            <label asp-for="Oib" class="col-md-2 control-label"></label>
            <div class="col-md-10">
                <input asp-for="Oib" class="form-control" />
                <span asp-validation-for="Oib" class="text-danger"></span>
            </div>
        </div>
        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Save" class="btn btn-default" />
            </div>
        </div>
    </div>
</form>



@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}

<div>
    @Html.ActionLink("Back to Osoba list", "Index", "Osoba", new { page = ViewBag.Page, sortOrder = ViewBag.CurrentSort, currentIme = ViewBag.CurrentIme, currentPrezime = ViewBag.CurrentPrezime, currentOib = ViewBag.CurrentOib })
</div>